gtkmm: Gtk::TearoffMenuItem Class Reference

gtkmm 3.1.16

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::TearoffMenuItem Class Reference
Widgets | Menu classes

A special Gtk::MenuItem which is used to tear off and reattach its menu. More...

Inheritance diagram for Gtk::TearoffMenuItem:
[legend]
Collaboration diagram for Gtk::TearoffMenuItem:
[legend]

List of all members.

## Public Member Functions
virtual | ~TearoffMenuItem ()
GtkTearoffMenuItem* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkTearoffMenuItem* | gobj () const
| Provides access to the underlying C GtkObject.
| TearoffMenuItem ()
## Related Functions
(Note that these are not member functions.)
Gtk::TearoffMenuItem* | wrap (GtkTearoffMenuItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A special Gtk::MenuItem which is used to tear off and reattach its menu.

When its menu is shown normally, the Gtk::TearoffMenuItem is drawn as a dotted line indicating that the menu can be torn off. Activating it causes its menu to be torn off and displayed in its own window. When its menu is shown as a tearoff menu, the Gtk::TearoffMenuItem is drawn as a dotted line which has a left pointing arrow graphic indicating that the tearoff menu can be reattached. Activating it will erase the tearoff menu window.

## Constructor & Destructor Documentation

virtual Gtk::TearoffMenuItem::~TearoffMenuItem | ( |  | ) | `[virtual]`

Gtk::TearoffMenuItem::TearoffMenuItem | ( |  | ) |

## Member Function Documentation

GtkTearoffMenuItem* Gtk::TearoffMenuItem::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::MenuItem.

const GtkTearoffMenuItem* Gtk::TearoffMenuItem::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::MenuItem.

## Friends And Related Function Documentation

Gtk::TearoffMenuItem* wrap | ( | GtkTearoffMenuItem * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/tearoffmenuitem.h